View Issue Details

IDProjectCategoryPrivateLast Update
0004884Battlefield 1UI/HUDNo2018-03-07 03:25
Status QA InvestigatingResolutionOpen 
Product VersionUpdate 11122017 - Gallipoli Update 
Fixed in Version 
Summary0004884: Server Browser filter dont work

Only Gamemode, Slots, Name, Region, Maps can be filtered, changing all other settings have no effect on the server list.

Steps To Reproduce

Actual Result
Expected Result


related to 0004890 QA Investigating Can't filter servers by name using spaces 
has duplicate 0004891 ClosedEA_RedSpoder When filtering servers by name, can't filter servers by slots 
has duplicate 0004925 ClosedEA_RedSpoder Server Browser is only showing two ping numbers and they are not changing when refreshed. 
has duplicate 0004947 Closed You merged my thread "server browser issue" thread with another one and its still not working as intended. 
has duplicate 0004948 Closed Servers in Browser incoreectly show only two ping numbers 
related to 0004889 Closed origin unexpectedly closes. 



2017-12-30 19:52

Registered User

I have had issues with the server browser for years. BF4 and now BF1. The filters never really work correctly. Im on PS4.


2018-01-04 18:01

Registered User

I submitted a couple of issues related with Server Browser Filtering, it's totally broken. I though it had something to do with mixing options and servername filtering, but for example using just the Bullet Damage filter won't work.


2018-01-09 09:30


@TrackerBugger is this issue still present? I was able to filter for servers today with no issue.


2018-01-09 21:06

Registered User

No same problem still exist. Server still shows me 200% Damage Servers.


2018-01-17 00:20

Registered User

Last edited: 2018-01-17 02:41

View 5 revisions

Ok after deleting all my filters it seems to work now and I only see servers with official settings(or you fixed it).
But if I change only 1 filter like Bullet Damage 200% it won't show me any server.
You only see the server if all settings from the filter match the server settings if a server has 10 different settings you have to match all these settings for the server to show up in the server browser.It should show all servers with 200% bullet damage if you only set this one filter.


2018-01-18 17:00

Registered User

One aspect of this bug is with the four filter "Rules". Bullet Damage, Ticket Count, Respawn Time, and Vehicle Respawn time are using the wrong boolean operator AND. They should be OR.

Also, this filter would be much more effective, if you could configure these rules with lower and upper bound ranges like we could in BF4 and earlier with battlelog.


2018-02-09 21:13

Registered User

This bug is still in the game. Two ping numbers that will not change when refreshed. This is getting annoying and i wish you guys would fix this or try to fix this so how.


2018-02-15 19:10

Registered User

How is it possible that this bug is still in the game?


2018-02-20 02:42

Registered User

Thats a good question. How is this still a on going issue? This is getting beyond silly how this bug is still in play for far to long.


2018-03-07 03:25

Registered User

This is happening on Pc as well. Why is this taking so long to get fixed?